On this page
No Headings
OAuth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/payment/authcaptureThe PayPal-generated ID for the captured payment for which to show details.
^[\S\s]*$0 <= length <= 2147483647Holds authorization information for external API calls.
^.*$1 <= length <= 16000application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ"{
"id": "74L756601X447022Y",
"amount": {
"currency_code": "USD",
"value": "100.00"
},
"final_capture": true,
"seller_protection": {
"status": "ELIGIBLE",
"dispute_categories": [
"ITEM_NOT_RECEIVED",
"UNAUTHORIZED_TRANSACTION"
]
},
"seller_receivable_breakdown": {
"gross_amount": {
"currency_code": "USD",
"value": "100.00"
},
"paypal_fee": {
"currency_code": "USD",
"value": "3.98"
},
"net_amount": {
"currency_code": "USD",
"value": "96.02"
}
},
"invoice_id": "OrderInvoice-23_10_2024_12_27_32_pm",
"status": "COMPLETED",
"supplementary_data": {
"related_ids": {
"order_id": "25M43554V9523650M",
"authorization_id": "0T620041CK889853A"
}
},
"payee": {
"email_address": "[email protected]",
"merchant_id": "YXZY75W2GKDQE"
},
"create_time": "2024-10-23T20:55:19Z",
"update_time": "2024-10-23T20:55:19Z",
"links": [
{
"href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y",
"rel": "self",
"method": "GET"
},
{
"href": "https://api-m.sandbox.paypal.com/v2/payments/captures/74L756601X447022Y/refund",
"rel": "refund",
"method": "POST"
},
{
"href": "https://api-m.sandbox.paypal.com/v2/payments/authorizations/0T620041CK889853A",
"rel": "up",
"method": "GET"
}
]
}{
"name": "AUTHENTICATION_FAILURE",
"debug_id": "b1d1f06c7246c",
"message": "Authentication failed due to missing Authorization header, or invalid authentication credentials."
}{
"name": "NOT_AUTHORIZED",
"debug_id": "b1d1f06c7246c",
"message": "Authorization failed due to insufficient permissions."
}{
"name": "RESOURCE_NOT_FOUND",
"debug_id": "b1d1f06c7246c",
"message": "The specified resource does not exist."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}